> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audits



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/audits
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/audits:
    get:
      tags:
        - Brands
        - Brands
      summary: List Audits
      operationId: list_audits_api_v1_brands__brand_id__audits_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BrandAuditSummary'
                title: Response List Audits Api V1 Brands  Brand Id  Audits Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandAuditSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        audit_type:
          type: string
          title: Audit Type
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        status:
          type: string
          title: Status
        overall_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Overall Score
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - audit_type
        - status
      title: BrandAuditSummary
      description: Lightweight audit summary for list views.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````